Package org.optaplanner.core.impl.score.stream.bavet.tri

## Class BavetScoringTriTuple<A,​B,​C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriTuple<A,​B,​C>
    - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetScoringTriTuple<A,​B,​C>

- All Implemented Interfaces:
    `BavetScoringTuple`, `BavetTuple`

      public final class BavetScoringTriTuple<A,​B,​C>
      extends BavetAbstractTriTuple<A,​B,​C>
      implements BavetScoringTuple

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetScoringTriTuple​(BavetScoringTriNode<A,​B,​C> node, BavetAbstractTriTuple<A,​B,​C> parentTuple)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<BavetAbstractTuple>` | `getChildTupleList()` |
    `A` | `getFactA()` |
    `B` | `getFactB()` |
    `C` | `getFactC()` |
    `Score<?>` | `getMatchScore()` |
    `BavetScoringTriNode<A,​B,​C>` | `getNode()` |
    `UndoScoreImpacter` | `getUndoScoreImpacter()` |
    `void` | `setMatchScore​(Score<?> matchScore)` |
    `void` | `setUndoScoreImpacter​(UndoScoreImpacter undoScoreImpacter)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeIndex, getState, isActive, isDirty, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFactsString`

- - ### Constructor Detail

    - #### BavetScoringTriTuple

          public BavetScoringTriTuple​(BavetScoringTriNode<A,​B,​C> node,
                                      BavetAbstractTriTuple<A,​B,​C> parentTuple)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetScoringTriNode<A,​B,​C> getNode()

      Specified by:
        `getNode` in interface `BavetTuple`
      Specified by:
        `getNode` in class `BavetAbstractTuple`

    - #### getChildTupleList

          public List<BavetAbstractTuple> getChildTupleList()

      Specified by:
        `getChildTupleList` in class `BavetAbstractTuple`

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getFactB

          public B getFactB()

      Specified by:
        `getFactB` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getFactC

          public C getFactC()

      Specified by:
        `getFactC` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getUndoScoreImpacter

          public UndoScoreImpacter getUndoScoreImpacter()

      Specified by:
        `getUndoScoreImpacter` in interface `BavetScoringTuple`

    - #### setUndoScoreImpacter

          public void setUndoScoreImpacter​(UndoScoreImpacter undoScoreImpacter)

      Specified by:
        `setUndoScoreImpacter` in interface `BavetScoringTuple`

    - #### getMatchScore

          public Score<?> getMatchScore()

      Specified by:
        `getMatchScore` in interface `BavetScoringTuple`

    - #### setMatchScore

          public void setMatchScore​(Score<?> matchScore)

      Specified by:
        `setMatchScore` in interface `BavetScoringTuple`